Table of Contents

## Name

glXIsDirect - indicate whether direct rendering is enabled

## C Specification

Bool glXIsDirect( Display *dpy,

        GLXContext ctx )

eqn not supported

## Parameters

dpy
  Specifies the connection to the X server.
ctx
  Specifies the GLX context that is being queried.

## Description

glXIsDirect returns True if ctx is a direct rendering context, False otherwise. Direct rendering contexts pass rendering commands directly from the calling process's address space to the rendering system, bypassing the X server. Nondirect rendering contexts pass all rendering commands to the X server.

## Errors

GLXBadContext is generated if ctx is not a valid GLX context.

## See Also

glXCreateContext

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- See Also